Bug 1268012 - Unable to delete Default Location from Satellite 6.1
Unable to delete Default Location from Satellite 6.1
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations (Show other bugs)
6.1.1
All All
medium Severity medium (vote)
: GA
: --
Assigned To: Daniel Lobato Garcia
Tomer Brisker
http://projects.theforeman.org/issues...
: Triaged
: 1281220 (view as bug list)
Depends On: 1302515
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 10:49 EDT by Nagoor Shaik
Modified: 2017-08-15 15:46 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2884471 None None None 2017-01-23 03:38 EST
Foreman Issue Tracker 18226 None None None 2017-01-24 16:04 EST

  None (edit)
Description Nagoor Shaik 2015-10-01 10:49:18 EDT
Description of problem:
It is impossible to delete an unused "Default Location" from Satellite 6.1 either through webUI or hammer CLI

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Install fresh Satellite 6.1 without specifying --foreman-initial-location and --foreman-initial-organization parameters, which would create a Default Organization and Default Location
2. Create a new Organization and Location of choice in Satellite webUI
3. Try to delete the old "Default Location" which fails with error "Cannot delete the default Location" 

Same result from the hammer CLI as well
hammer> location list
[Foreman] Username: admin
[Foreman] Password for admin: 
---|-----------------
ID | NAME            
---|-----------------
2  | Default Location
4  | ACME_Corp             
---|-----------------
hammer> location delete --id 2
Could not delete the location:
  Cannot delete the default Location

Actual results:
Cannot delete the default location 

Expected results:
Satellite should allow delete unused locations 

Additional info:

# foreman-rake console
Loading production environment (Rails 3.2.8)     
irb(main):001:0> Location.all
2015-10-01 20:15:03 [D]   Location Load (0.7ms)  SELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomies"."type" IN ('Location') ORDER BY title
=> [#<Location id: 2, name: "Default Location", type: "Location", created_at: "2015-08-31 15:13:09", updated_at: "2015-08-31 15:13:09", ignore_types: ["ConfigTemplate", "Hostgroup"], description: nil, label: nil, apply_info_task_id: nil, ancestry: nil, title: "Default Location", katello_default: true>, #<Location id: 4, name: "ACME_Corp", type: "Location", created_at: "2015-09-02 12:13:08", updated_at: "2015-09-21 16:25:28", ignore_types: ["ConfigTemplate", "Hostgroup"], description: "", label: nil, apply_info_task_id: nil, ancestry: nil, title: "ACME_Corp", katello_default: false>]

As from the above rake output if the "katello_default: true" parameter is set for the location, Satellite 6 would not allow to delete it.
Comment 3 Brad Buckingham 2015-11-16 14:03:36 EST
*** Bug 1281220 has been marked as a duplicate of this bug. ***
Comment 4 David O'Brien 2016-04-17 20:47:31 EDT
Reset docs contact <> daobrien
Comment 6 Tomas Strachota 2016-08-12 07:15:16 EDT
Unassigning myself since I'm not actively working on the bug.
Comment 8 Pavel Moravec 2017-01-23 03:38:25 EST
Please specify if below procedure in manually changing default location is safe and can be offered to customers as a workaround:

https://access.redhat.com/solutions/2884471

(basically: stop all services to prevent concurrent issues, start psql, manually change katello_default, start everything)

Thanks.
Comment 9 Daniel Lobato Garcia 2017-01-24 15:02:59 EST
Created redmine issue http://projects.theforeman.org/issues/18226 from this bug
Comment 10 Daniel Lobato Garcia 2017-01-24 15:17:41 EST
Pavel, 

From what I gathered by talking to the devs who wrote the feature that keeps the user from removing the default location, it's a bad idea. 

The reason is that the Default Location is used to have a place to put registered hosts via subscription manager, and puppet environments for a content view publish. Without it, those operations will fail.

I am working on a patch that allows the user to set the default location for each of these things in Administer > Settings, which would let you remove the default one provided after the install.
Comment 11 pm-sat@redhat.com 2017-01-25 12:09:22 EST
Upstream bug assigned to dlobatog@redhat.com
Comment 12 pm-sat@redhat.com 2017-01-25 12:09:27 EST
Upstream bug assigned to dlobatog@redhat.com
Comment 13 pm-sat@redhat.com 2017-02-14 16:09:48 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18226 has been resolved.
Comment 14 Tomer Brisker 2017-08-02 08:48:19 EDT
Verified on Satellite 6.3.0 snap 9.
Locations set in "Default Location Puppet content" or "Default Location subscribed hosts" settings can not be deleted. Changing both these settings to a location other then the Default Location allows deletion of the default location.

Note You need to log in before you can comment on or make changes to this bug.